%define betaversion beta1

Name:           xfce4-power-manager
Version:        0.8.0
Release:        0.2.%{betaversion}%{?dist}
Summary:        Power management for the Xfce desktop environment

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}%{betaversion}.tar.bz2
# Posted on goodies-dev and applied upstream on Apr 11th 2009
Patch0:         xfce4-power-manager-0.8.0beta1-button-hal.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfconf-devel >= 4.6.0
BuildRequires:  xfce4-panel-devel >= 4.6.0
BuildRequires:  dbus-devel >= 0.60
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  libglade2-devel >= 2.0.0
BuildRequires:  gettext intltool desktop-file-utils
Requires:       xfce4-panel

%description
Xfce Power Manager uses the information and facilities provided by HAL to 
display icons and handle user callbacks in an interactive Xfce session.
Xfce Power Preferences allows authorised users to set policy and change 
preferences.


%prep
%setup -qn %{name}-%{version}%{betaversion}
%patch0 -p1 -b .button-hal


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install                                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}-settings.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/xfce4-power-manager-settings
%config %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_libexecdir}/xfce4/panel-plugins/xfce4-*-plugin
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/icons/hicolor/scalable/apps/gnome-inhibit-applet.svg
%{_datadir}/icons/hicolor/scalable/*/gpm-*.svg
%{_datadir}/xfce4/panel-plugins/xfce4-*-plugin.desktop
%doc %{_datadir}/xfce4/doc/C/images/*.png
%doc %{_datadir}/xfce4/doc/C/%{name}.html
%{_mandir}/man1/%{name}-settings.1.gz
%{_mandir}/man1/%{name}.1.gz


%changelog
* Mon Apr 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.2.beta1
- Add xfpm-button-hal.patch by Mike Massonnet

* Sun Apr 12 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.beta1
- Update to 0.8.0beta1

* Thu Apr 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.alpha2
- Update to 0.8.0alpha2

* Thu Apr 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.alpha
- Update to 0.8.0alpha 

* Tue Mar 24 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.5-1
- Update to 0.6.5
- Remove custom autostart file

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Sat Feb  7 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1
- Include additional desktop file for autostarting the app

* Mon Nov 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.0-0.1.RC1
- Update to 0.6.0 RC1

* Fri Oct 31 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.0-0.1.0.beta1
- Initial Fedora package
